<?php
function theme_currency_dropdowns_@(id)(){
?>
    <div class="@classNames">
        <?php
        $items = array();
        $items[] = array('title' => theme_get_currency_title('@textType', @showLabel.toString(), @showArrow.toString()), 'href' => '#', 'parent' => 0, 'id' => 1, 'no_menu_trim_title' => true);
        $currencies = get_woocommerce_currencies();
        foreach($currencies as $id => $name) {
            $items[] = array('title' => $name, 'item_id' => 'currency_'.$id, 'href' => '#', 'parent' => 1, 'id' => $id);
        }

        echo theme_get_dropdown_menu(array(
                'menu' => 'currency-menu-@classNames',
                'items' => $items,
                'menu_function' => 'theme_menu_@menu.id',
                'menu_item_start_function' => 'theme_menu_item_start_@menu.item.id',
                'menu_item_end_function' => 'theme_menu_item_end_@menu.item.id',
                'submenu_start_function' => 'theme_submenu_start_@subMenu.Menu.id',
                'submenu_end_function' => 'theme_submenu_end_@subMenu.Menu.id',
                'submenu_item_start_function' => 'theme_submenu_item_start_@subMenu.Menu.item.id',
                'submenu_item_end_function' => 'theme_submenu_item_end_@subMenu.Menu.item.id'
            )
        );
        ?>
    </div>
<?php
}